Create a snapshot of a VPS
curl --request POST \
--url https://api.storiza.store/vps/{vpsId}/snapshots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.storiza.store/vps/{vpsId}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vpsId}/snapshots"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Snapshot job created successfully",
"data": {
"snapshot": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Backup #1",
"description": "Example backup",
"status": "pending",
"statusText": "Pending",
"isExpired": false,
"vps": {
"id": "00000000-0000-4000-8000-000000000000"
},
"sizeMB": 10240,
"size": {
"mb": 10240,
"gb": 10
},
"createdAt": "2026-10-09T14:57:34.014Z"
},
"vpsId": "<string>",
"status": "<string>",
"message": "<string>"
}
}Server snapshots
Create a snapshot of a VPS
Starts an asynchronous snapshot of a VPS owned by the current user and returns the newly created snapshot record with status creating.
Required API key permission: vps:write
POST
/
vps
/
{vpsId}
/
snapshots
Create a snapshot of a VPS
curl --request POST \
--url https://api.storiza.store/vps/{vpsId}/snapshots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.storiza.store/vps/{vpsId}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vpsId}/snapshots"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Snapshot job created successfully",
"data": {
"snapshot": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Backup #1",
"description": "Example backup",
"status": "pending",
"statusText": "Pending",
"isExpired": false,
"vps": {
"id": "00000000-0000-4000-8000-000000000000"
},
"sizeMB": 10240,
"size": {
"mb": 10240,
"gb": 10
},
"createdAt": "2026-10-09T14:57:34.014Z"
},
"vpsId": "<string>",
"status": "<string>",
"message": "<string>"
}
}Authorizations
An API key from the Storiza dashboard (API & Integrations), sent as Authorization: Bearer stz_….
Path Parameters
Minimum string length:
1Body
application/json
Was this page helpful?